Subject: bug#29157: 25.3; Eshell parsing fails sometimes, e.g. "date" and "sed"

From: John Wiegley <[email-masked]>
Date: Sun, 26 Nov 2017 13:45:30 -0800

>>>>> Eli Zaretskii <[email-masked]> writes:

> Maybe not in this case, but other Eshell commands definitely feature similar
> behaviors, and there you cannot convince me it's an accident, because the
> behavior is documented in the doc string.

Wait, not trying to convince you of anything, just responding to what
eshell/date acts weird when given arguments. It's "news to me" in other words.

>> In hindsight, a separate eshell/date function should have been created that
>> would handle its arguments like the system command.

> There is such a function: *date.

I mean, an implementation that works when no system "date" command exists, yet
accepts arguments similar to what system date accepts.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2